v {xschem version=3.4.5 file_version=1.2
*
* This file is part of XSCHEM,
* a schematic capture and Spice/Vhdl/Verilog netlisting tool for circuit
* simulation.
* Copyright (C) 1998-2023 Stefan Frederik Schippers
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
}
G {}
K {}
V {}
S {}
E {}
L 6 980 -1680 1010 -1810 {}
L 6 980 -1680 1460 -1650 {}
L 6 1460 -1650 1470 -1810 {}
L 6 1060 -1830 1470 -1810 {}
L 6 1010 -1640 1020 -1760 {}
L 6 1010 -1640 1500 -1690 {}
L 6 1430 -1840 1500 -1690 {}
L 6 970 -1780 1430 -1840 {}
B 2 1550 -2350 2180 -2020 {flags=graph,unlocked
sim_type=ac
y1=-82
y2=-0.00075

subdivy=4
x1=3
x2=9
divx=6
subdivx=8



dataset=-1


hilight_wave=-1
logx=1
xlabmag=1.4
divy=5
ylabmag=1.2

logy=0
rawfile= [rawfilestart]_actt_hvtt.raw
color="4 4 4 4"
node="\\"pl db20()\\"
\\"ph db20()\\"
\\"nl db20()\\"
\\"nh db20()\\""}
B 2 1550 -2010 2180 -1680 {flags=graph,unlocked
sim_type=ac
y1=-7.9
y2=180
divy=4
subdivy=1
x1=3
x2=9
divx=6
subdivx=8



dataset=-1
color="8 7 6 21"
node="\\"ph p $iset0; ph(pl)\\"
\\"ph p $iset1; ph(ph)\\"
\\"ph p $iset2; ph(nl)\\"
\\"ph n $iset0; ph(nh)\\""
hilight_wave=-1
logx=1
xlabmag=1.4

rawfile= [rawfilestart]_actt_hvtt.raw}
B 2 2230 -2010 2860 -1680 {flags=graph,unlocked

sim_type=dc
y1=0
y2=2.2e-07
divy=4
subdivy=1
x1=0
x2=5.5
divx=6
subdivx=1


dataset=0
rawfile= [rawfilestart]_dc_lvtt_hvtt.raw
color="4 5 15 15 15 15 20 15 15 15"
node="i(vmeas4)
i(vmeas5)
\\"im4;i(vmeas4) % [rawfilestart]_dc_lvtt_hvss.raw\\"
\\"im4;i(vmeas4) % [rawfilestart]_dc_lvtt_hvff.raw\\"
\\"im4;i(vmeas4) % [rawfilestart]_dc_lvtt_hvsf.raw\\"
\\"im4;i(vmeas4) % [rawfilestart]_dc_lvtt_hvfs.raw\\"
\\"im5;i(vmeas5) % [rawfilestart]_dc_lvtt_hvss.raw\\"
\\"im5;i(vmeas5) % [rawfilestart]_dc_lvtt_hvff.raw\\"
\\"im5;i(vmeas5) % [rawfilestart]_dc_lvtt_hvsf.raw\\"
\\"im5;i(vmeas5) % [rawfilestart]_dc_lvtt_hvfs.raw\\""
hilight_wave=-1}
B 2 2230 -2350 2860 -2020 {flags=graph,unlocked

sim_type=dc
y1=0
y2=5.5
divy=4
subdivy=1
x1=0
x2=5.5
divx=6
subdivx=1



rawfile= [rawfilestart]_dc_lvtt_hvtt.raw
color="5 5 4 4 15"
node="pl
ph
nl
nh
v-sweep"
dataset=0}
B 2 2230 -1620 2860 -1290 {flags=graph,unlocked

sim_type=dc
y1=-5m
y2=5m
divy=4
subdivy=1
x1=0
x2=5.5
divx=6
subdivx=1


dataset=0
rawfile= [rawfilestart]_dc_lvtt_hvtt.raw
color="4 5"
node="\\"nh deriv()\\"
\\"nl deriv()\\""}
B 2 2230 -1280 2860 -950 {flags=graph,unlocked

sim_type=dc
y1=-0
y2=10n
divy=4
subdivy=1
x1=0
x2=5.5
divx=6
subdivx=1


dataset=0
rawfile= [rawfilestart]_dc_lvtt_hvtt.raw
color="4 5"
node="\\"i(vmeas4) deriv()\\"
\\"i(vmeas5) deriv()\\""}
B 2 2870 -2010 3500 -1680 {flags=graph,unlocked

sim_type=dc
y1=0
y2=1e-06
divy=4
subdivy=1
x1=0
x2=5.5
divx=6
subdivx=1


dataset=1
rawfile= [rawfilestart]_dc_lvtt_hvtt.raw
color="4 7 15 15 15 15 15 15 15 15"
node="i(vmeas4)
i(vmeas5)
\\"im4;i(vmeas4) % [rawfilestart]_dc_lvtt_hvss.raw\\"
\\"im4;i(vmeas4) % [rawfilestart]_dc_lvtt_hvff.raw\\"
\\"im4;i(vmeas4) % [rawfilestart]_dc_lvtt_hvsf.raw\\"
\\"im4;i(vmeas4) % [rawfilestart]_dc_lvtt_hvfs.raw\\"
\\"im5;i(vmeas5) % [rawfilestart]_dc_lvtt_hvss.raw\\"
\\"im5;i(vmeas5) % [rawfilestart]_dc_lvtt_hvff.raw\\"
\\"im5;i(vmeas5) % [rawfilestart]_dc_lvtt_hvsf.raw\\"
\\"im5;i(vmeas5) % [rawfilestart]_dc_lvtt_hvfs.raw\\""}
B 2 2870 -2350 3500 -2020 {flags=graph,unlocked

sim_type=dc
y1=0
y2=5.5
divy=4
subdivy=1
x1=-0.275
x2=5.225
divx=6
subdivx=1



rawfile= [rawfilestart]_dc_lvtt_hvtt.raw
color="5 5 4 4 15"
node="pl
ph
nl
nh
v-sweep"
dataset=1}
B 2 2870 -1620 3500 -1290 {flags=graph,unlocked

sim_type=dc
y1=-5m
y2=5m
divy=4
subdivy=1
x1=0
x2=5.5
divx=6
subdivx=1


dataset=1
rawfile= [rawfilestart]_dc_lvtt_hvtt.raw
color="4 5"
node="\\"nh deriv()\\"
\\"nl deriv()\\""}
B 2 2870 -1280 3500 -950 {flags=graph,unlocked

sim_type=dc
y1=-0
y2=10n
divy=4
subdivy=1
x1=0
x2=5.5
divx=6
subdivx=1


dataset=1
rawfile= [rawfilestart]_dc_lvtt_hvtt.raw
color="4 5"
node="\\"i(vmeas4) deriv()\\"
\\"i(vmeas5) deriv()\\""}
B 2 3510 -2010 4140 -1680 {flags=graph,unlocked

sim_type=dc
y1=0
y2=.5e-05
divy=4
subdivy=1
x1=0
x2=5.5
divx=6
subdivx=1


dataset=2
rawfile= [rawfilestart]_dc_lvtt_hvtt.raw
color="4 5 15 15 15 15 15 15 15 15"
node="i(vmeas4)
i(vmeas5)
\\"im4;i(vmeas4) % [rawfilestart]_dc_lvtt_hvss.raw\\"
\\"im4;i(vmeas4) % [rawfilestart]_dc_lvtt_hvff.raw\\"
\\"im4;i(vmeas4) % [rawfilestart]_dc_lvtt_hvsf.raw\\"
\\"im4;i(vmeas4) % [rawfilestart]_dc_lvtt_hvfs.raw\\"
\\"im5;i(vmeas5) % [rawfilestart]_dc_lvtt_hvss.raw\\"
\\"im5;i(vmeas5) % [rawfilestart]_dc_lvtt_hvff.raw\\"
\\"im5;i(vmeas5) % [rawfilestart]_dc_lvtt_hvsf.raw\\"
\\"im5;i(vmeas5) % [rawfilestart]_dc_lvtt_hvfs.raw\\""}
B 2 3510 -2350 4140 -2020 {flags=graph,unlocked

sim_type=dc
y1=0
y2=5.5
divy=4
subdivy=1
x1=0
x2=5.5
divx=6
subdivx=1



rawfile= [rawfilestart]_dc_lvtt_hvtt.raw
color="5 5 4 4 15"
node="pl
ph
nl
nh
v-sweep"
dataset=2}
B 2 3510 -1620 4140 -1290 {flags=graph,unlocked

sim_type=dc
y1=-5m
y2=5m
divy=4
subdivy=1
x1=0
x2=5.5
divx=6
subdivx=1


dataset=2
rawfile= [rawfilestart]_dc_lvtt_hvtt.raw
color="4 5"
node="\\"nh deriv()\\"
\\"nl deriv()\\""}
B 2 3510 -1280 4140 -950 {flags=graph,unlocked

sim_type=dc
y1=-0
y2=10n
divy=4
subdivy=1
x1=0
x2=5.5
divx=6
subdivx=1


dataset=2
rawfile= [rawfilestart]_dc_lvtt_hvtt.raw
color="4 5"
node="\\"i(vmeas4) deriv()\\"
\\"i(vmeas5) deriv()\\""}
B 2 2230 -540 2860 -210 {flags=graph,unlocked

sim_type=dc
y1=0
y2=1.2e-07
divy=4
subdivy=1
x1=0
x2=5.5
divx=6
subdivx=1


dataset=0
rawfile= [rawfilestart]_dc_lvtt_hvtt.raw
color="4 5 16 16 16 16 21 21 21 21"
node="i(vmeas9)
i(vmeas10)
\\"i(vmeas9) % [rawfilestart]_dc_lvtt_hvss.raw\\"
\\"i(vmeas9) % [rawfilestart]_dc_lvtt_hvff.raw\\"
\\"i(vmeas9) % [rawfilestart]_dc_lvtt_hvsf.raw\\"
\\"i(vmeas9) % [rawfilestart]_dc_lvtt_hvfs.raw\\"
\\"i(vmeas10) % [rawfilestart]_dc_lvtt_hvss.raw\\"
\\"i(vmeas10) % [rawfilestart]_dc_lvtt_hvff.raw\\"
\\"i(vmeas10) % [rawfilestart]_dc_lvtt_hvsf.raw\\"
\\"i(vmeas10) % [rawfilestart]_dc_lvtt_hvfs.raw\\"" % [rawfilestart]_dc_lvtt_hvss.raw"
"
rainbow=1}
B 2 2230 -880 2860 -550 {flags=graph,unlocked

sim_type=dc
y1=0
y2=5.5
divy=4
subdivy=1
x1=0
x2=5.5
divx=6
subdivx=1



rawfile= [rawfilestart]_dc_lvtt_hvtt.raw
color="5 5 4 4 15"
node="pl2
ph2
nl2
nh2
v-sweep"
dataset=0}
B 2 2870 -880 3500 -550 {flags=graph,unlocked

sim_type=dc
y1=0
y2=5.5
divy=4
subdivy=1
x1=0
x2=5.5
divx=6
subdivx=1



rawfile= [rawfilestart]_dc_lvtt_hvtt.raw
color="5 5 4 4 15"
node="pl2
ph2
nl2
nh2
v-sweep"
dataset=1}
B 2 3510 -880 4140 -550 {flags=graph,unlocked

sim_type=dc
y1=0
y2=5.5
divy=4
subdivy=1
x1=0
x2=5.5
divx=6
subdivx=1



rawfile= [rawfilestart]_dc_lvtt_hvtt.raw
color="5 5 4 4 15"
node="pl2
ph2
nl2
nh2
v-sweep"
dataset=2}
B 2 2230 -150 2860 180 {flags=graph,unlocked

sim_type=dc
y1=-0.366664
y2=1.43755
divy=4
subdivy=1
x1=-2.18641e-07
x2=5.5
divx=6
subdivx=1


dataset=0
rawfile= [rawfilestart]_dc_lvtt_hvtt.raw
color="4 5"
node="\\"nh2 deriv()\\"
\\"nl2 deriv()\\""}
B 2 2230 190 2860 520 {flags=graph,unlocked

sim_type=dc
y1=-2.12071e-09
y2=3.37114e-08
divy=4
subdivy=1
x1=-2.18641e-07
x2=5.5
divx=6
subdivx=1


dataset=0
rawfile= [rawfilestart]_dc_lvtt_hvtt.raw
color="4 5"
node="\\"i(vmeas9) deriv()\\"
\\"i(vmeas10) deriv()\\""}
B 2 2870 -150 3500 180 {flags=graph,unlocked

sim_type=dc
y1=-0.182993
y2=0.961763
divy=4
subdivy=1
x1=-2.18641e-07
x2=5.5
divx=6
subdivx=1


dataset=1
rawfile= [rawfilestart]_dc_lvtt_hvtt.raw
color="4 5"
node="\\"nh2 deriv()\\"
\\"nl2 deriv()\\""}
B 2 2870 190 3500 520 {flags=graph,unlocked

sim_type=dc
y1=1.9392e-09
y2=1.63395e-08
divy=4
subdivy=1
x1=-2.18641e-07
x2=5.5
divx=6
subdivx=1


dataset=1
rawfile= [rawfilestart]_dc_lvtt_hvtt.raw
color="4 5"
node="\\"i(vmeas9) deriv()\\"
\\"i(vmeas10) deriv()\\""}
B 2 3510 -150 4140 180 {flags=graph,unlocked

sim_type=dc
y1=-0.100315
y2=1.04444
divy=4
subdivy=1
x1=-2.18641e-07
x2=5.5
divx=6
subdivx=1


dataset=2
rawfile= [rawfilestart]_dc_lvtt_hvtt.raw
color="4 5"
node="\\"nh2 deriv()\\"
\\"nl2 deriv()\\""}
B 2 3510 190 4140 520 {flags=graph,unlocked

sim_type=dc
y1=-3.06984e-07
y2=2.5416e-06
divy=4
subdivy=1
x1=-2.18641e-07
x2=5.5
divx=6
subdivx=1


dataset=2
rawfile= [rawfilestart]_dc_lvtt_hvtt.raw
color="4 5"
node="\\"i(vmeas9) deriv()\\"
\\"i(vmeas10) deriv()\\""}
B 2 670 10 1440 540 {flags=graph,unlocked

sim_type=dc
y1=0
y2=4.2
divy=4
subdivy=1
x1=0
x2=5.5
divx=6
subdivx=1


dataset=0
rawfile= [rawfilestart]_dc_lvtt_hvtt.raw
color="4 5 8 9 15 8 8 8 8"
node="teiler1
teiler2
teiler3
test1
vdd
\\"t1;test1 % [rawfilestart]_dc_lvtt_hvss.raw\\"
\\"t2;test1 % [rawfilestart]_dc_lvtt_hvff.raw\\"
\\"t3;test1 % [rawfilestart]_dc_lvtt_hvsf.raw\\"
\\"t4;test1 % [rawfilestart]_dc_lvtt_hvfs.raw\\""
linewidth_mult=2}
B 2 1430 10 2200 540 {flags=graph,unlocked

sim_type=dc
y1=0
y2=4.3e-06
divy=4
subdivy=1
x1=-0.0195724
x2=5.48042
divx=6
subdivx=1


dataset=0
rawfile= [rawfilestart]_dc_lvtt_hvtt.raw

color="15 5"
node="\\"i(vmeas14) i(vmeas8) +\\"
\\"i(vmeas14)"}
B 2 2870 -540 3500 -210 {flags=graph,unlocked

sim_type=dc
y1=0
y2=3.5e-07
divy=4
subdivy=1
x1=0
x2=5.5
divx=6
subdivx=1


dataset=1
rawfile= [rawfilestart]_dc_lvtt_hvtt.raw
color="4 5 16 16 16 16 21 21 21 21"
node="i(vmeas9)
i(vmeas10)
\\"i(vmeas9) % [rawfilestart]_dc_lvtt_hvss.raw\\"
\\"i(vmeas9) % [rawfilestart]_dc_lvtt_hvff.raw\\"
\\"i(vmeas9) % [rawfilestart]_dc_lvtt_hvsf.raw\\"
\\"i(vmeas9) % [rawfilestart]_dc_lvtt_hvfs.raw\\"
\\"i(vmeas10) % [rawfilestart]_dc_lvtt_hvss.raw\\"
\\"i(vmeas10) % [rawfilestart]_dc_lvtt_hvff.raw\\"
\\"i(vmeas10) % [rawfilestart]_dc_lvtt_hvsf.raw\\"
\\"i(vmeas10) % [rawfilestart]_dc_lvtt_hvfs.raw\\"" % [rawfilestart]_dc_lvtt_hvss.raw"
"
rainbow=1}
B 2 3510 -540 4140 -210 {flags=graph,unlocked

sim_type=dc
y1=0
y2=1.3e-06
divy=4
subdivy=1
x1=0
x2=5.5
divx=6
subdivx=1


dataset=2
rawfile= [rawfilestart]_dc_lvtt_hvtt.raw
color="4 5 19 19 19 19 21 21 21 21"
node="i(vmeas9)
i(vmeas10)
\\"i(vmeas9) % [rawfilestart]_dc_lvtt_hvss.raw\\"
\\"i(vmeas9) % [rawfilestart]_dc_lvtt_hvff.raw\\"
\\"i(vmeas9) % [rawfilestart]_dc_lvtt_hvsf.raw\\"
\\"i(vmeas9) % [rawfilestart]_dc_lvtt_hvfs.raw\\"
\\"i(vmeas10) % [rawfilestart]_dc_lvtt_hvss.raw\\"
\\"i(vmeas10) % [rawfilestart]_dc_lvtt_hvff.raw\\"
\\"i(vmeas10) % [rawfilestart]_dc_lvtt_hvsf.raw\\"
\\"i(vmeas10) % [rawfilestart]_dc_lvtt_hvfs.raw\\"" % [rawfilestart]_dc_lvtt_hvss.raw"
"
rainbow=1}
B 2 100 -2360 950 -2030 {flags=graph,unlocked

sim_type=dc
y1=1.3e-07
y2=3e-07
divy=4
subdivy=1
x1=-40
x2=160
divx=6
subdivx=1


dataset=0
rawfile= [rawfilestart]_temp_lvtt_hvtt.raw
color="4 5 15 15 15 15 20 15 15 15"
node="i(vmeas4)
i(vmeas5)
\\"im4;i(vmeas4) % [rawfilestart]_temp_lvtt_hvss.raw\\"
\\"im4;i(vmeas4) % [rawfilestart]_temp_lvtt_hvff.raw\\"
\\"im4;i(vmeas4) % [rawfilestart]_temp_lvtt_hvsf.raw\\"
\\"im4;i(vmeas4) % [rawfilestart]_temp_lvtt_hvfs.raw\\"
\\"im5;i(vmeas5) % [rawfilestart]_temp_lvtt_hvss.raw\\"
\\"im5;i(vmeas5) % [rawfilestart]_temp_lvtt_hvff.raw\\"
\\"im5;i(vmeas5) % [rawfilestart]_temp_lvtt_hvsf.raw\\"
\\"im5;i(vmeas5) % [rawfilestart]_temp_lvtt_hvfs.raw\\""
}
T {tcleval(loaded .raw files: 
[xschem raw info])} 240 -340 0 0 0.3 0.3 {floater=true layer=16}
T {AC Analysis 4 PMOS
} 1550 -2390 0 0 0.6 0.6 { layer=6}
T {DC Analysis 4 PMOS} 2230 -2390 0 0 0.6 0.6 { layer=6}
T {DC Analysis 2 PMOS} 2230 -920 0 0 0.6 0.6 { layer=6}
T {TEMP Analysis 4 PMOS over corners
} 320 -2400 0 0 0.6 0.6 { layer=6}
N 160 -210 160 -190 {
lab=VSS}
N 160 -450 160 -430 {
lab=VDD}
N 320 -460 400 -460 {
lab=VSS}
N 310 -1380 400 -1380 {
lab=VDD}
N 940 -1090 940 -1070 {
lab=#net1}
N 940 -1090 960 -1090 {
lab=#net1}
N 960 -1090 960 -1070 {
lab=#net1}
N 1120 -1090 1120 -1070 {
lab=ph}
N 1120 -1090 1140 -1090 {
lab=ph}
N 1140 -1090 1140 -1070 {
lab=ph}
N 960 -610 960 -590 {
lab=nl}
N 1120 -1250 1120 -1230 {
lab=#net2}
N 960 -530 960 -460 {
lab=#net3}
N 1120 -530 1120 -460 {
lab=#net4}
N 1060 -1040 1060 -990 {
lab=pl}
N 1060 -990 1120 -990 {
lab=pl}
N 960 -610 1020 -610 {
lab=nl}
N 1020 -610 1020 -560 {
lab=nl}
N 1000 -560 1020 -560 {
lab=nl}
N 1020 -560 1080 -560 {
lab=nl}
N 1060 -1040 1080 -1040 {
lab=pl}
N 960 -770 1020 -770 {
lab=nh}
N 1020 -770 1020 -720 {
lab=nh}
N 1000 -720 1020 -720 {
lab=nh}
N 1020 -720 1080 -720 {
lab=nh}
N 960 -770 960 -750 {
lab=nh}
N 1120 -1010 1120 -990 {
lab=pl}
N 1120 -690 1120 -590 {
lab=#net5}
N 940 -1250 940 -1230 {
lab=#net6}
N 960 -1250 960 -1230 {
lab=#net6}
N 1120 -1250 1140 -1250 {
lab=#net2}
N 1140 -1250 1140 -1230 {
lab=#net2}
N 1060 -1200 1060 -1150 {
lab=ph}
N 1060 -1150 1120 -1150 {
lab=ph}
N 1060 -1200 1080 -1200 {
lab=ph}
N 1120 -1170 1120 -1150 {
lab=ph}
N 780 -1250 780 -1230 {
lab=#net6}
N 780 -1250 800 -1250 {
lab=#net6}
N 800 -1250 800 -1230 {
lab=#net6}
N 800 -1170 800 -1150 {
lab=#net1}
N 960 -1150 960 -1090 {
lab=#net1}
N 960 -1320 960 -1250 {
lab=#net6}
N 1120 -1380 1120 -1250 {
lab=#net2}
N 940 -1250 960 -1250 {
lab=#net6}
N 800 -1250 940 -1250 {
lab=#net6}
N 960 -1170 960 -1150 {
lab=#net1}
N 620 -1250 620 -1230 {
lab=#net6}
N 620 -1250 640 -1250 {
lab=#net6}
N 640 -1250 640 -1230 {
lab=#net6}
N 640 -1170 640 -1150 {
lab=#net1}
N 640 -1250 780 -1250 {
lab=#net6}
N 460 -1250 460 -1230 {
lab=#net6}
N 460 -1250 480 -1250 {
lab=#net6}
N 480 -1250 480 -1230 {
lab=#net6}
N 480 -1170 480 -1150 {
lab=#net1}
N 480 -1150 640 -1150 {
lab=#net1}
N 1000 -1040 1060 -1040 {
lab=pl}
N 1120 -1150 1120 -1090 {
lab=ph}
N 1120 -990 1120 -750 {
lab=pl}
N 960 -690 960 -610 {
lab=nl}
N 520 -1200 1060 -1200 {
lab=ph}
N 800 -1150 960 -1150 {
lab=#net1}
N 640 -1150 800 -1150 {
lab=#net1}
N 480 -1250 620 -1250 {
lab=#net6}
N 960 -1010 960 -770 {
lab=nh}
N 1840 -1380 1840 -1230 {
lab=#net7}
N 1420 -1090 1420 -1070 {
lab=#net8}
N 1420 -1090 1440 -1090 {
lab=#net8}
N 1440 -1090 1440 -1070 {
lab=#net8}
N 1600 -1090 1600 -1070 {
lab=ph2}
N 1600 -1090 1620 -1090 {
lab=ph2}
N 1620 -1090 1620 -1070 {
lab=ph2}
N 1440 -610 1440 -590 {
lab=nl2}
N 1600 -1250 1600 -1230 {
lab=#net9}
N 1440 -530 1440 -460 {
lab=#net10}
N 1600 -530 1600 -460 {
lab=#net11}
N 1540 -1040 1540 -990 {
lab=pl2}
N 1540 -990 1600 -990 {
lab=pl2}
N 1440 -610 1500 -610 {
lab=nl2}
N 1500 -610 1500 -560 {
lab=nl2}
N 1480 -560 1500 -560 {
lab=nl2}
N 1500 -560 1560 -560 {
lab=nl2}
N 1540 -1040 1560 -1040 {
lab=pl2}
N 1440 -770 1500 -770 {
lab=nh2}
N 1500 -770 1500 -720 {
lab=nh2}
N 1480 -720 1500 -720 {
lab=nh2}
N 1500 -720 1560 -720 {
lab=nh2}
N 1440 -770 1440 -750 {
lab=nh2}
N 1600 -1010 1600 -990 {
lab=pl2}
N 1600 -690 1600 -590 {
lab=#net12}
N 1420 -1250 1420 -1230 {
lab=#net13}
N 1440 -1250 1440 -1230 {
lab=#net13}
N 1600 -1250 1620 -1250 {
lab=#net9}
N 1620 -1250 1620 -1230 {
lab=#net9}
N 1540 -1200 1540 -1150 {
lab=ph2}
N 1540 -1150 1600 -1150 {
lab=ph2}
N 1540 -1200 1560 -1200 {
lab=ph2}
N 1600 -1170 1600 -1150 {
lab=ph2}
N 1260 -1250 1260 -1230 {
lab=#net13}
N 1260 -1250 1280 -1250 {
lab=#net13}
N 1280 -1250 1280 -1230 {
lab=#net13}
N 1280 -1170 1280 -1150 {
lab=#net8}
N 1440 -1150 1440 -1090 {
lab=#net8}
N 1440 -1320 1440 -1250 {
lab=#net13}
N 1600 -1380 1600 -1250 {
lab=#net9}
N 1420 -1250 1440 -1250 {
lab=#net13}
N 1280 -1250 1420 -1250 {
lab=#net13}
N 1440 -1170 1440 -1150 {
lab=#net8}
N 1480 -1040 1540 -1040 {
lab=pl2}
N 1600 -1150 1600 -1090 {
lab=ph2}
N 1600 -990 1600 -750 {
lab=pl2}
N 1440 -690 1440 -610 {
lab=nl2}
N 1280 -1150 1440 -1150 {
lab=#net8}
N 1440 -1010 1440 -770 {
lab=nh2}
N 1320 -1200 1540 -1200 {
lab=ph2}
N 2000 -1380 2000 -1230 {
lab=#net14}
N 1840 -530 1840 -460 {
lab=#net15}
N 2000 -530 2000 -460 {
lab=#net16}
N 1900 -560 1960 -560 {
lab=teiler1}
N 2000 -1170 2000 -590 {
lab=test1}
N 1900 -1200 1960 -1200 {
lab=teiler3}
N 1840 -1150 1900 -1150 {
lab=teiler3}
N 1840 -1170 1840 -1150 {
lab=teiler3}
N 1900 -1200 1900 -1150 {
lab=teiler3}
N 1880 -1200 1900 -1200 {
lab=teiler3}
N 1840 -990 1900 -990 {
lab=teiler2}
N 1900 -1040 1900 -990 {
lab=teiler2}
N 1880 -1040 1900 -1040 {
lab=teiler2}
N 1840 -770 1900 -770 {
lab=teiler2}
N 1880 -720 1900 -720 {
lab=teiler2}
N 1840 -610 1840 -590 {
lab=teiler1}
N 1900 -770 1900 -720 {
lab=teiler2}
N 1840 -610 1900 -610 {
lab=teiler1}
N 1840 -690 1840 -610 {
lab=teiler1}
N 1900 -610 1900 -560 {
lab=teiler1}
N 1880 -560 1900 -560 {
lab=teiler1}
N 1840 -770 1840 -750 {
lab=teiler2}
N 1840 -1150 1840 -1070 {
lab=teiler3}
N 1840 -990 1840 -770 {
lab=teiler2}
N 1840 -1010 1840 -990 {
lab=teiler2}
C {simulator_commands.sym} 210 -720 0 0 {name=MOS_350nm

simulator=ngspice
only_toplevel=true 
value="


.MODEL CMOSN NMOS (
+LEVEL   = 49             acm     = 3              hdif    = 0.5e-6
+VERSION = 3.1            TNOM    = 27             TOX     = 7.7E-9
+XJ      = 1E-7           NCH     = 2.3579E17      VTH0    = 0.5048265
+K1      = 0.5542796      K2      = 0.0155863      K3      = 2.3475646
+K3B     = -3.3142916     W0      = 4.145888E-5    NLX     = 1.430868E-7
+DVT0W   = 0              DVT1W   = 0              DVT2W   = 0
+DVT0    = -0.0150839     DVT1    = 1.51022E-3     DVT2    = 0.170688
+U0      = 415.8570638    UA      = 5.057324E-11   UB      = 1.496793E-18
+UC      = 2.986268E-11   VSAT    = 1.237033E5     A0      = 0.9098788
+AGS     = 0.2120181      B0      = 1.683612E-6    B1      = 5E-6
+KETA    = -4.011887E-4   A1      = 0              A2      = 1
+RDSW    = 1.156967E3     PRWG    = -8.468558E-3   PRWB    = -7.678669E-3
+WR      = 1              WINT    = 5.621821E-8    LINT    = 1.606205E-8
+XL      = -2E-8          XW      = 0              DWG     = -6.450939E-9
+DWB     = 6.530228E-9    VOFF    = -0.1259348     NFACTOR = 0.3344887
+CIT     = 0              CDSC    = 1.527511E-3    CDSCD   = 0
+CDSCB   = 0              ETA0    = 1.21138E-3     ETAB    = -1.520242E-4
+DSUB    = 0.1259886      PCLM    = 0.8254768      PDIBLC1 = 0.4211084
+PDIBLC2 = 6.081164E-3    PDIBLCB = -5.865856E-6   DROUT   = 0.7022263
+PSCBE1  = 7.238634E9     PSCBE2  = 5E-10          PVAG    = 0.6261655
+DELTA   = 0.01           MOBMOD  = 1              PRT     = 0
+UTE     = -1.5           KT1     = -0.11          KT1L    = 0
+KT2     = 0.022          UA1     = 4.31E-9        UB1     = -7.61E-18
+UC1     = -5.6E-11       AT      = 3.3E4          WL      = 0
+WLN     = 1              WW      = -1.22182E-15   WWN     = 1.137
+WWL     = 0              LL      = 0              LLN     = 1
+LW      = 0              LWN     = 1              LWL     = 0
+CAPMOD  = 2              XPART   = 0.4            CGDO    = 1.96E-10
+CGSO    = 1.96E-10       CGBO    = 0              CJ      = 8.829973E-4
+PB      = 0.7946332      MJ      = 0.3539285      CJSW    = 2.992362E-10
+PBSW    = 0.9890846      MJSW    = 0.1871372      PVTH0   = -0.0148617
+PRDSW   = -114.7860236   PK2     = -5.151187E-3   WKETA   = 5.687313E-3
+LKETA   = -0.018518       )
*
.MODEL CMOSP PMOS (
+LEVEL   = 49             acm     = 3              hdif    = 0.5e-6
+VERSION = 3.1            TNOM    = 27             TOX     = 7.7E-9
+XJ      = 1E-7           NCH     = 8.52E16        VTH0    = -0.6897992
+K1      = 0.4134289      K2      = -5.342989E-3   K3      = 24.8361788
+K3B     = -1.4390847     W0      = 2.467689E-6    NLX     = 3.096223E-7
+DVT0W   = 0              DVT1W   = 0              DVT2W   = 0
+DVT0    = 1.3209807      DVT1    = 0.4695965      DVT2    = -8.790762E-4
+U0      = 150.6275733    UA      = 2.016943E-10   UB      = 1.714919E-18
+UC      = -1.36948E-11   VSAT    = 9.559222E4     A0      = 0.9871247
+AGS     = 0.3541967      B0      = 3.188091E-6    B1      = 5E-6
+KETA    = -0.0169877     A1      = 0              A2      = 1
+RDSW    = 2.443009E3     PRWG    = 0.0260616      PRWB    = 0.141561
+WR      = 1              WINT    = 5.038936E-8    LINT    = 1.650588E-9
+XL      = -2E-8          XW      = 0              DWG     = -1.535456E-8
+DWB     = 1.256904E-8    VOFF    = -0.15          NFACTOR = 1.5460516
+CIT     = 0              CDSC    = 1.413317E-4    CDSCD   = 0
+CDSCB   = 0              ETA0    = 0.3751392      ETAB    = 2.343374E-3
+DSUB    = 0.8877574      PCLM    = 5.8638076      PDIBLC1 = 1.05224E-3
+PDIBLC2 = 3.481753E-5    PDIBLCB = 2.37525E-3     DROUT   = 0.0277454
+PSCBE1  = 3.013379E10    PSCBE2  = 3.608179E-8    PVAG    = 3.9564294
+DELTA   = 0.01           MOBMOD  = 1              PRT     = 0
+UTE     = -1.5           KT1     = -0.11          KT1L    = 0
+KT2     = 0.022          UA1     = 4.31E-9        UB1     = -7.61E-18
+UC1     = -5.6E-11       AT      = 3.3E4          WL      = 0
+WLN     = 1              WW      = -5.22182E-16   WWN     = 1.125
+WWL     = 0              LL      = 0              LLN     = 1
+LW      = 0              LWN     = 1              LWL     = 0
+CAPMOD  = 2              XPART   = 0.4            CGDO    = 2.307E-10
+CGSO    = 2.307E-10      CGBO    = 0              CJ      = 1.397645E-3
+PB      = 0.99           MJ      = 0.5574537      CJSW    = 3.665392E-10
+PBSW    = 0.99           MJSW    = 0.3399328      PVTH0   = 0.0114364
+PRDSW   = 52.7951169     PK2     = 9.714153E-4    WKETA   = 0.0109418
+LKETA   = 7.702974E-3     )
*"
spice_ignore=true}
C {simulator_commands.sym} 80 -960 0 0 {name="ngspice start"
simulator=ngspice
only_toplevel=true 

value="
.temp 30



** models are generally not free: you must download
** SPICE models for active devices and put them into the below 
** referenced file in netlist/simulation directory.
** http://bwrcs.eecs.berkeley.edu/Classes/icdesign/ee241_s00/ASSIGNMENTS/TSMC035-n96g-params.txt
*.include "models_cmos_example.txt"

.option rshunt = 1.0e9
.option rseries = 1.0e-6

*** before control
"}
C {simulator_commands.sym} 340 -960 0 0 {name="ngspice end"
simulator=ngspice
only_toplevel=true 

value="
*** after control
"}
C {title.sym} 160 -30 0 0 {name=l1 author="Stefan Schippers"  net_name=true}
C {vsource.sym} 160 -400 0 0 {name=VDD value="4 ac 1 0"  net_name=true
}
C {simulator_commands.sym} 80 -720 0 0 {name=iHP_130nm

simulator=ngspice
only_toplevel=true 

value="tcleval(

.include ../ihp_sg13g2_compact_models-main/model_files/ngspice/SG13G2_hbt_woStatistics.hsp.lib

.lib ../ihp_sg13g2_compact_models-main/model_files/ngspice/MOSLV/cornerMOSlv_psp.lib mos_$\{lv_corner\}
.lib ../ihp_sg13g2_compact_models-main/model_files/ngspice/MOSHV/cornerMOShv_psp.lib mos_$\{hv_corner\}

)"}
C {vsource.sym} 160 -240 0 0 {name=VSS value="0"  net_name=true  }
C {pwroli.sym} 160 -190 0 0 {name=l17 lab=VSS}
C {pwroli.sym} 160 -450 2 0 {name=l18 lab=VDD
}
C {gndoli.sym} 160 -370 0 0 {name=l19 lab=GND}
C {gndoli.sym} 160 -270 2 0 {name=l30 lab=GND}
C {simulator_commands_shown.sym} 80 -1960 0 0 {name=COMMANDS
simulator=none
only_toplevel=false 

value="tcleval(
ac [set fstart 1e3]..[set fend 1e9]Hz;  do trans = [set do_trans 0]
r [set rset0 300k]Ohm, [set rset1 100k]Ohm, [set rset2 30k]Ohm


pmos w/l = [set pw 20u]/[set pl 1u]
nmos w/l = [set nw 10u]/[set nl 1u]

lv corner is [set_ne lv_corner tt], hv corner is [set_ne hv_corner tt], 

[proc rawfilestart \{\} \{
  global netlist_dir
  return $\{netlist_dir\}/[file rootname [file tail [xschem get current_name]]]
\}]

[proc sim_is_none \{\} \{ return 0\}] #proc to ignore "simulator=none" evaluation for ngspice

.raw-file path and namebase: [rawfilestart] 
 test: [rawfilestart]_dc_lvtt_hvtt.raw
)"}
C {simulator_commands.sym} 210 -960 0 0 {name="NGSPiCE TCL"
simulator=ngspice
only_toplevel=true 
value="tcleval(
.control
  pre_osdi ../ihp_sg13g2_compact_models-main/va_code_psp103p6/psp103_nqs.osdi
  pre_set strict_errorhandling **destroys ac simulation with .option savecurrents
  unset ngdebug

  .option maxwarns

  .param nw=$nw
  .param nl=$nl
  .param pw=$pw
  .param pl=$pl

  .param rset=1

  save all
  op
  write [rawfilestart]$\{lv_corner\}_hv$\{hv_corner\}.raw

  set appendwrite

  alterparam rset = $rset0
  reset
  save all
  dc VDD 0 5.5 0.01
  write [rawfilestart]_dc_lv$\{lv_corner\}_hv$\{hv_corner\}.raw
  ac dec 10 $fstart $fend
  remzerovec
  write [rawfilestart]_ac$\{lv_corner\}_hv$\{hv_corner\}.raw
  dc temp -40 160 20
  write [rawfilestart]_temp_lv$\{lv_corner\}_hv$\{hv_corner\}.raw

  alterparam rset = $rset1
  reset
  save all
  dc VDD 0 5.5 0.01
  write [rawfilestart]_dc_lv$\{lv_corner\}_hv$\{hv_corner\}.raw
  ac dec 10 $fstart $fend
  remzerovec
  write [rawfilestart]_ac$\{lv_corner\}_hv$\{hv_corner\}.raw
  dc temp -40 160 20
  write [rawfilestart]_temp_lv$\{lv_corner\}_hv$\{hv_corner\}.raw

  alterparam rset = $rset2
  reset
  save all
  dc VDD 0 5.5 0.01
  write [rawfilestart]_dc_lv$\{lv_corner\}_hv$\{hv_corner\}.raw
  ac dec 10 $fstart $fend
  remzerovec
  write [rawfilestart]_ac$\{lv_corner\}_hv$\{hv_corner\}.raw
  dc temp -40 160 20
  write [rawfilestart]_temp_lv$\{lv_corner\}_hv$\{hv_corner\}.raw




  quit 
.endc
)
"}
C {launcher.sym} 1610 -1620 0 0 {name=h1 
descr="netlist simulate" 
tclcommand="xschem netlist; xschem simulate; xschem raw_clear;"
}
C {launcher.sym} 1610 -1580 0 0 {name=h2
descr="load waves"
tclcommand="xschem raw_read [rawfilestart].raw; xschem annotate_op;"
}
C {pmolis4.sym} 1100 -1040 0 0 {name=X9 model=sg13_hv_pmos  w="\{pw\}" l="\{pl\}" 
substrate=VDD4
ng=1}
C {pmolis4.sym} 980 -1040 0 1 {name=X12 model=sg13_hv_pmos  w="\{pw\}" l="\{pl\}" 
substrate=VDD4
ng=1}
C {res.sym} 960 -1350 0 0 {name=R2
value=\{rset\}
footprint=1206
device=resistor
m=1}
C {iopin.sym} 320 -460 0 1 {name=p8 lab=VSS

}
C {pwroli.sym} 400 -400 0 0 {name=l2 lab=VSSi}
C {ammeter.sym} 400 -430 2 0 {name=Vmeas1 savecurrent=true}
C {iopin.sym} 310 -1380 0 1 {name=p9 lab=VDD}
C {pwroli.sym} 400 -1440 2 0 {name=l5 lab=VDDi
}
C {ammeter.sym} 400 -1410 2 0 {name=Vmeas2 savecurrent=true}
C {pwroli.sym} 960 -1440 2 0 {name=l12 lab=VDDi
}
C {ammeter.sym} 960 -1410 0 0 {name=Vmeas4 savecurrent=true}
C {pwroli.sym} 1120 -1440 2 0 {name=l13 lab=VDDi
}
C {ammeter.sym} 1120 -1410 0 0 {name=Vmeas5 savecurrent=true}
C {pwroli.sym} 960 -400 0 0 {name=l14 lab=VSSi}
C {ammeter.sym} 960 -430 0 0 {name=Vmeas6 savecurrent=true}
C {pwroli.sym} 1120 -400 0 0 {name=l15 lab=VSSi}
C {ammeter.sym} 1120 -430 0 0 {name=Vmeas7 savecurrent=true}
C {nmolis-sub.sym} 1100 -560 0 0 {name=X13 model=sg13_hv_nmos  w="\{nw\}" l="\{nl\}" 
substrate=VSS
ng=1}
C {nmolis-sub.sym} 980 -560 0 1 {name=X14 model=sg13_hv_nmos  w="\{nw\}" l="\{nl\}" 
substrate=VSS
ng=1}
C {ngspice_probe.sym} 1020 -1040 0 0 {name=r4}
C {ngspice_probe.sym} 1020 -560 0 0 {name=r6}
C {lab_wire.sym} 1120 -1120 0 0 {name=p1 sig_type=std_logic lab=ph
}
C {lab_wire.sym} 1120 -950 0 0 {name=p2 sig_type=std_logic lab=pl
}
C {lab_wire.sym} 960 -650 0 0 {name=p4 sig_type=std_logic lab=nl
}
C {nmolis-sub.sym} 1100 -720 0 0 {name=X1 model=sg13_hv_nmos  w="\{nw\}" l="\{nl\}" 
substrate=VSS
ng=1}
C {nmolis-sub.sym} 980 -720 0 1 {name=X2 model=sg13_hv_nmos  w="\{nw\}" l="\{nl\}" 
substrate=VSS
ng=1}
C {ngspice_probe.sym} 1020 -720 0 0 {name=r1}
C {lab_wire.sym} 960 -810 0 0 {name=p3 sig_type=std_logic lab=nh
}
C {pmolis4.sym} 1100 -1200 0 0 {name=X3 model=sg13_hv_pmos  w="\{pw\}" l="\{pl\}" 
substrate=VDD4
ng=1}
C {pmolis4.sym} 980 -1200 0 1 {name=X4 model=sg13_hv_pmos  w="\{pw\}" l="\{pl\}" 
substrate=VDD4
ng=1}
C {ngspice_probe.sym} 1020 -1200 0 0 {name=r3}
C {pmolis4.sym} 820 -1200 0 1 {name=X5 model=sg13_hv_pmos  w="\{pw\}" l="\{pl\}" 
substrate=VDD4
ng=1}
C {pmolis4.sym} 660 -1200 0 1 {name=X6 model=sg13_hv_pmos  w="\{pw\}" l="\{pl\}" 
substrate=VDD4
ng=1}
C {pmolis4.sym} 500 -1200 0 1 {name=X7 model=sg13_hv_pmos  w="\{pw\}" l="\{pl\}" 
substrate=VDD4
ng=1}
C {pwroli.sym} 1840 -1440 2 0 {name=l3 lab=VDDi
}
C {ammeter.sym} 1840 -1410 0 0 {name=Vmeas3 savecurrent=true}
C {ngspice_probe.sym} 1120 -1300 0 0 {name=r10}
C {ngspice_probe.sym} 960 -1300 0 0 {name=r11}
C {ngspice_probe.sym} 960 -1110 0 0 {name=r12}
C {pmolis4.sym} 1580 -1040 0 0 {name=X16 model=sg13_hv_pmos  w="\{pw\}" l="\{pl\}" 
substrate=VDD4
ng=1}
C {pmolis4.sym} 1460 -1040 0 1 {name=X17 model=sg13_hv_pmos  w="\{pw\}" l="\{pl\}" 
substrate=VDD4
ng=1}
C {res.sym} 1440 -1350 0 0 {name=R13
value=\{rset\}
footprint=1206
device=resistor
m=1}
C {pwroli.sym} 1440 -1440 2 0 {name=l6 lab=VDDi
}
C {ammeter.sym} 1440 -1410 0 0 {name=Vmeas9 savecurrent=true}
C {pwroli.sym} 1600 -1440 2 0 {name=l7 lab=VDDi
}
C {ammeter.sym} 1600 -1410 0 0 {name=Vmeas10 savecurrent=true}
C {pwroli.sym} 1440 -400 0 0 {name=l8 lab=VSSi}
C {ammeter.sym} 1440 -430 0 0 {name=Vmeas11 savecurrent=true}
C {pwroli.sym} 1600 -400 0 0 {name=l9 lab=VSSi}
C {ammeter.sym} 1600 -430 0 0 {name=Vmeas12 savecurrent=true}
C {nmolis-sub.sym} 1580 -560 0 0 {name=X18 model=sg13_hv_nmos  w="\{nw\}" l="\{nl\}" 
substrate=VSS
ng=1}
C {nmolis-sub.sym} 1460 -560 0 1 {name=X19 model=sg13_hv_nmos  w="\{nw\}" l="\{nl\}" 
substrate=VSS
ng=1}
C {ngspice_probe.sym} 1500 -1040 0 0 {name=r14}
C {ngspice_probe.sym} 1500 -560 0 0 {name=r15}
C {lab_wire.sym} 1600 -1120 0 0 {name=p5 sig_type=std_logic lab=ph2

}
C {lab_wire.sym} 1600 -950 0 0 {name=p6 sig_type=std_logic lab=pl2
}
C {lab_wire.sym} 1440 -650 0 0 {name=p7 sig_type=std_logic lab=nl2
}
C {nmolis-sub.sym} 1580 -720 0 0 {name=X20 model=sg13_hv_nmos  w="\{nw\}" l="\{nl\}" 
substrate=VSS
ng=1}
C {nmolis-sub.sym} 1460 -720 0 1 {name=X21 model=sg13_hv_nmos  w="\{nw\}" l="\{nl\}" 
substrate=VSS
ng=1}
C {ngspice_probe.sym} 1500 -720 0 0 {name=r16}
C {lab_wire.sym} 1440 -810 0 0 {name=p10 sig_type=std_logic lab=nh2
}
C {pmolis4.sym} 1580 -1200 0 0 {name=X22 model=sg13_hv_pmos  w="\{pw\}" l="\{pl\}" 
substrate=VDD4
ng=1}
C {pmolis4.sym} 1460 -1200 0 1 {name=X23 model=sg13_hv_pmos  w="\{pw\}" l="\{pl\}" 
substrate=VDD4
ng=1}
C {ngspice_probe.sym} 1500 -1200 0 0 {name=r17}
C {pmolis4.sym} 1300 -1200 0 1 {name=X24 model=sg13_hv_pmos  w="\{pw\}" l="\{pl\}" 
substrate=VDD4
ng=1}
C {ngspice_probe.sym} 1600 -1300 0 0 {name=r18}
C {ngspice_probe.sym} 1440 -1300 0 0 {name=r19}
C {ngspice_probe.sym} 1440 -1110 0 0 {name=r20}
C {pmolis-sub.sym} 1860 -1200 0 1 {name=X25 model=sg13_hv_pmos  w="\{.5u\}" l="\{.5u\}" 
substrate=VDD
ng=1}
C {pmolis-sub.sym} 1980 -1200 0 0 {name=X8 model=sg13_hv_pmos  w="\{.5u\}" l="\{.5u\}" 
substrate=VDD
ng=1}
C {pwroli.sym} 2000 -1440 2 0 {name=l10 lab=VDDi
}
C {ammeter.sym} 2000 -1410 0 0 {name=Vmeas13 savecurrent=true}
C {pwroli.sym} 1840 -400 0 0 {name=l4 lab=VSSi}
C {ammeter.sym} 1840 -430 0 0 {name=Vmeas8 savecurrent=true}
C {pwroli.sym} 2000 -400 0 0 {name=l11 lab=VSSi}
C {ammeter.sym} 2000 -430 0 0 {name=Vmeas14 savecurrent=true}
C {nmolis-sub.sym} 1980 -560 0 0 {name=X10 model=sg13_hv_nmos  w="\{.5u\}" l="\{.5u\}" 
substrate=VSS
ng=1}
C {nmolis-sub.sym} 1860 -560 0 1 {name=X11 model=sg13_hv_nmos  w="\{.5u\}" l="\{10u\}" 
substrate=VSS
ng=1}
C {ngspice_probe.sym} 1900 -560 0 0 {name=r5
l="\{10u\}"
w="\{.5u\}"}
C {pmolis-sub.sym} 1860 -1040 0 1 {name=X15 model=sg13_hv_pmos  w="\{.5u\}" l="\{.5u\}" 
substrate=VDD
ng=1}
C {nmolis-sub.sym} 1860 -720 0 1 {name=X26 model=sg13_hv_nmos  w="\{.5u\}" l="\{10u\}" 
substrate=VSS
ng=1}
C {ngspice_probe.sym} 1900 -720 0 0 {name=r7
l="\{10u\}"
w="\{.5u\}"}
C {lab_wire.sym} 1840 -880 0 0 {name=p11 sig_type=std_logic lab=teiler2

}
C {lab_wire.sym} 1840 -1100 0 0 {name=p12 sig_type=std_logic lab=teiler3

w="\{.5u\}"
l="\{.5u\}"}
C {lab_wire.sym} 1840 -650 0 0 {name=p13 sig_type=std_logic lab=teiler1


l="\{10u\}"
w="\{.5u\}"}
C {lab_wire.sym} 2000 -880 0 0 {name=p14 sig_type=std_logic lab=test1

}
C {launcher.sym} 1100 -2160 0 0 {name=h3 
descr="netlist simulate ss" 
tclcommand="set hv_corner ss; xschem netlist; xschem simulate; xschem raw_clear;"
}
C {launcher.sym} 1100 -2120 0 0 {name=h4 
descr="netlist simulate ff" 
tclcommand="set hv_corner ff; xschem netlist; xschem simulate; xschem raw_clear;"
}
C {launcher.sym} 1100 -2080 0 0 {name=h5 
descr="netlist simulate sf" 
tclcommand="set hv_corner sf; xschem netlist; xschem simulate; xschem raw_clear;"
}
C {launcher.sym} 1100 -2040 0 0 {name=h6 
descr="netlist simulate fs" 
tclcommand="set hv_corner fs; xschem netlist; xschem simulate; xschem raw_clear;"
}
C {launcher.sym} 1100 -2200 0 0 {name=h7 
descr="netlist simulate tt" 
tclcommand="set hv_corner tt; xschem netlist; xschem simulate; xschem raw_clear;"
}
C {launcher.sym} 1390 -2200 0 0 {name=h8
descr="load waves"
tclcommand="xschem raw_read [rawfilestart].raw; xschem annotate_op;"
}
C {launcher.sym} 1390 -2160 0 0 {name=h9
descr="load waves"
tclcommand="xschem raw_read [rawfilestart].raw; xschem annotate_op;"
}
C {launcher.sym} 1390 -2120 0 0 {name=h10
descr="load waves"
tclcommand="xschem raw_read [rawfilestart].raw; xschem annotate_op;"
}
C {launcher.sym} 1390 -2080 0 0 {name=h11
descr="load waves"
tclcommand="xschem raw_read [rawfilestart].raw; xschem annotate_op;"
}
C {launcher.sym} 1390 -2040 0 0 {name=h12
descr="load waves"
tclcommand="xschem raw_read [rawfilestart].raw; xschem annotate_op;"
}
C {launcher.sym} 1100 -1740 0 0 {name=h17 
descr="netlist simulate corners ALL" 
tclcommand="
	set corners [list tt ss ff sf fs]
	#set corners [list tt]

	foreach corner $corners \{ ### debug
		puts $corner
		puts [string cat \{$id_\} $\{corner\}]
	\}

	foreach corner $corners \{
		set hv_corner $corner; 
		xschem netlist; 
		delay 111;
		set [string cat \{id_\} $\{corner\}] [simulate]; 
	\}

	puts sim_started;


	while \{true\} \{
		set info_exists false;
		foreach corner $corners \{
			#set test_cmd [string cat \{execute(cmd,\} \{$id_\} $\{corner\} \\)]
			set test_cmd [string cat \{execute(cmd,\} [set [string cat \{id_\} $\{corner\}]] \\)]
			puts $test_cmd
			if \{[info exists $test_cmd]\} \{
				set info_exists true;
			\}
		\}
		if \{!$info_exists\} \{
			puts sim_ended;

			break;
		\}
		puts wait_for_sim_end;

		delay 99;
	\}

	if \{true\} \{
		xschem raw_clear;
		# xschem raw_read [rawfilestart].raw 
		xschem annotate_op [rawfilestart]tt_hvtt.raw
	\}

	puts done
"
}
